#pragma ident "@(#)cginterface.h 1.1 97/11/03 SMI"


/*
 * Copyright (c) 1997 by Sun Microsystems, Inc.
 * All Rights Reserved
 */

extern void prims2Compress(CGubyte **data, CGint *size,
			   CGviewport *viewport);

extern void part2cg(Part *part, int aveStripLen, 
		    CGviewport *viewport, CGint geomQuant, 
		    CGint normalQuant, CGint colorQuant,
		    CGenum quantEnforcement);
void part2cgRegions(Part *part,   int aveStripLen,
		    CGviewport *viewport,
		    CGint geomQuant, 
		    CGint normalQuant, CGint colorQuant,
		    CGenum quantEnforcement);

void part2CgStrips(Part *part,
	      CGviewport *viewport,
	      int aveStripLen,
	      CGint geomQuant, 
	      CGint normalQuant, CGint colorQuant,
	      CGenum quantEnforcement, CGubyte **cmpBuff, CGint *cmpSize);

void cgpBuildMeshWithMeshify(CGPprimlist *Prims, 
			     CGint geomQuant, CGint normalQuant,
			     CGint colorQuant,
			     CGenum quantEnforcement);
